Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: ChangeLog mysql-5.1.51.ebuild
Date: Wed, 06 Oct 2010 01:03:28
Message-Id: 20101006001627.A832F20051@flycatcher.gentoo.org
1 robbat2 10/10/06 00:16:27
2
3 Modified: ChangeLog
4 Added: mysql-5.1.51.ebuild
5 Log:
6 Version bump. Amarok use of embedded libmysqld.so is supported again.
7
8 (Portage version: 2.2_rc88/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.549 dev-db/mysql/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.549&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.549&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.548&r2=1.549
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
20 retrieving revision 1.548
21 retrieving revision 1.549
22 diff -p -w -b -B -u -u -r1.548 -r1.549
23 --- ChangeLog 28 Sep 2010 18:41:09 -0000 1.548
24 +++ ChangeLog 6 Oct 2010 00:16:27 -0000 1.549
25 @@ -1,6 +1,11 @@
26 # ChangeLog for dev-db/mysql
27 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.548 2010/09/28 18:41:09 grobian Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.549 2010/10/06 00:16:27 robbat2 Exp $
30 +
31 +*mysql-5.1.51 (06 Oct 2010)
32 +
33 + 06 Oct 2010; Robin H. Johnson <robbat2@g.o> +mysql-5.1.51.ebuild:
34 + Version bump. Amarok use of embedded libmysqld.so is supported again.
35
36 28 Sep 2010; Fabian Groffen <grobian@g.o> mysql-5.1.50-r1.ebuild:
37 Marked ~x86-macos, bug #337498
38
39
40
41 1.1 dev-db/mysql/mysql-5.1.51.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.51.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.51.ebuild?rev=1.1&content-type=text/plain
45
46 Index: mysql-5.1.51.ebuild
47 ===================================================================
48 # Copyright 1999-2010 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.51.ebuild,v 1.1 2010/10/06 00:16:27 robbat2 Exp $
51
52 MY_EXTRAS_VER="20101006-0004Z"
53 EAPI=2
54
55 # PBXT
56 PBXT_VERSION='1.0.11-6-pre-ga'
57 # XtraDB
58 PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
59
60 inherit toolchain-funcs mysql
61 # only to make repoman happy. it is really set in the eclass
62 IUSE="$IUSE"
63
64 # REMEMBER: also update eclass/mysql*.eclass before committing!
65 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x64-macos ~x86-solaris"
66
67 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
68 # This is often broken still
69 EPATCH_EXCLUDE=''
70
71 DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
72
73 # Please do not add a naive src_unpack to this ebuild
74 # If you want to add a single patch, copy the ebuild to an overlay
75 # and create your own mysql-extras tarball, looking at 000_index.txt
76 src_prepare() {
77 sed -i \
78 -e '/^noinst_PROGRAMS/s/basic-t//g' \
79 "${S}"/unittest/mytap/t/Makefile.am
80 mysql_src_prepare
81 }
82
83 # Official test instructions:
84 # USE='berkdb -cluster embedded extraengine perl ssl community' \
85 # FEATURES='test userpriv -usersandbox' \
86 # ebuild mysql-X.X.XX.ebuild \
87 # digest clean package
88 src_test() {
89 # Bug #213475 - MySQL _will_ object strenously if your machine is named
90 # localhost. Also causes weird failures.
91 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
92
93 emake check || die "make check failed"
94 if ! use "minimal" ; then
95 if [[ $UID -eq 0 ]]; then
96 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
97 fi
98 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
99 cd "${S}"
100 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
101 local retstatus_unit
102 local retstatus_ns
103 local retstatus_ps
104 local t
105 addpredict /this-dir-does-not-exist/t9.MYI
106
107 # Ensure that parallel runs don't die
108 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
109
110 # archive_gis really sucks a lot, but it's only relevant for the
111 # USE=extraengines case
112 case ${PV} in
113 5.0.42)
114 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
115 ;;
116
117 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
118 [ "$(tc-endian)" == "big" ] && \
119 mysql_disable_test \
120 "archive_gis" \
121 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
122 ;;
123 esac
124
125 # This was a slight testcase breakage when the read_only security issue
126 # was fixed.
127 case ${PV} in
128 5.0.54|5.0.51*)
129 mysql_disable_test \
130 "read_only" \
131 "Broken in 5.0.51-54, output in wrong order"
132 ;;
133 esac
134
135 # Ditto to read_only
136 [ "${PV}" == "5.0.51a" ] && \
137 mysql_disable_test \
138 "view" \
139 "Broken in 5.0.51, output in wrong order"
140
141 # x86-specific, OOM issue with some subselects on low memory servers
142 [ "${PV}" == "5.0.54" ] && \
143 [ "${ARCH/x86}" != "${ARCH}" ] && \
144 mysql_disable_test \
145 "subselect" \
146 "Testcase needs tuning on x86 for oom condition"
147
148 # Broke with the YaSSL security issue that didn't affect Gentoo.
149 [ "${PV}" == "5.0.56" ] && \
150 for t in openssl_1 rpl_openssl rpl_ssl ssl \
151 ssl_8k_key ssl_compress ssl_connect ; do \
152 mysql_disable_test \
153 "$t" \
154 "OpenSSL tests broken on 5.0.56"
155 done
156
157 # New test was broken in first time
158 # Upstream bug 41066
159 # http://bugs.mysql.com/bug.php?id=41066
160 [ "${PV}" == "5.0.72" ] && \
161 mysql_disable_test \
162 "status2" \
163 "Broken in 5.0.72, new test is broken, upstream bug #41066"
164
165 # The entire 5.0 series has pre-generated SSL certificates, they have
166 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
167 # The certs really SHOULD be generated for the tests, so that they are
168 # not expiring like this. We cannot do so ourselves as the tests look
169 # closely as the cert path data, and we do not have the CA key to regen
170 # ourselves. Alternatively, upstream should generate them with at least
171 # 50-year validity.
172 #
173 # Known expiry points:
174 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
175 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
176 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
177 #
178 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
179 # expired/invalid.
180 case ${PV} in
181 5.0.*|5.1.*|5.4.*|5.5.*)
182 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
183 ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
184 mysql_disable_test \
185 "$t" \
186 "These OpenSSL tests break due to expired certificates"
187 done
188 ;;
189 esac
190
191 # These are also failing in MySQL 5.1 for now, and are believed to be
192 # false positives:
193 #
194 # main.mysql_comment, main.mysql_upgrade, main.information_schema,
195 # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
196 # fails due to USE=-latin1 / utf8 default
197 #
198 # main.mysql_client_test:
199 # segfaults at random under Portage only, suspect resource limits.
200 #
201 # main.not_partition:
202 # Failure reason unknown at this time, must resolve before package.mask
203 # removal FIXME
204 case ${PV} in
205 5.1.*|5.4.*|5.5.*)
206 for t in main.mysql_client_test main.mysql_comments \
207 main.mysql_upgrade \
208 main.information_schema \
209 main.not_partition funcs_1.is_columns_mysql \
210 funcs_1.is_tables_mysql funcs_1.is_triggers; do
211 mysql_disable_test "$t" "False positives in Gentoo"
212 done
213 ;;
214 esac
215
216 # New failures in 5.1.50/5.1.51, reported by jmbsvicetto.
217 # These tests are picking up a 'connect-timeout' config from somewhere,
218 # which is not valid, and since it does not have 'loose-' in front of
219 # it, it's causing a failure
220 case ${PV} in
221 5.1.5*|5.4.*|5.5.*|6*)
222 for t in rpl.rpl_mysql_upgrade main.log_tables_upgrade ; do
223 mysql_disable_test "$t" \
224 "False positives in Gentoo: connect-timeout"
225 done
226 ;;
227 esac
228
229 use profiling && use community \
230 || mysql_disable_test main.profiling \
231 "Profiling test needs profiling support"
232
233 if [ "${PN}" == "mariadb" ]; then
234 for t in \
235 parts.part_supported_sql_func_ndb \
236 parts.partition_auto_increment_ndb ; do
237 mysql_disable_test $t "ndb not supported in mariadb"
238 done
239 fi
240
241 # This fail with XtraDB in place of normal InnoDB
242 # TODO: test if they are broken with the rest of the Percona patches
243 if xtradb_patch_available && use xtradb ; then
244 for t in main.innodb innodb.innodb_bug51378 \
245 main.information_schema_db main.mysqlshow \
246 main.innodb-autoinc main.innodb_bug21704 \
247 main.innodb_bug44369 main.innodb_bug46000 \
248 main.index_merge_innodb \
249 innodb.innodb innodb.innodb_misc1 innodb.innodb_bug52663 \
250 innodb.innodb-autoinc innodb.innodb-autoinc-44030 \
251 innodb.innodb_bug21704 innodb.innodb_bug44369 \
252 innodb.innodb_bug46000 innodb.innodb_bug48024 \
253 innodb.innodb_bug49164 innodb.innodb_bug51920 \
254 innodb.innodb_bug54044 \
255 ; do
256 mysql_disable_test $t "tests broken in xtradb"
257 done
258 fi
259
260 # bug 332565
261 if ! use extraengine ; then
262 for t in main.range ; do
263 mysql_disable_test $t "Test $t requires USE=extraengine"
264 done
265 fi
266
267 # create directories because mysqladmin might make out of order
268 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
269
270 # We run the test protocols seperately
271 emake test-unit
272 retstatus_unit=$?
273 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
274
275 emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
276 retstatus_ns=$?
277 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
278 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
279
280 emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
281 retstatus_ps=$?
282 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
283 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
284
285 # TODO:
286 # When upstream enables the pr and nr testsuites, we need those as well.
287
288 # Cleanup is important for these testcases.
289 pkill -9 -f "${S}/ndb" 2>/dev/null
290 pkill -9 -f "${S}/sql" 2>/dev/null
291 failures=""
292 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
293 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
294 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
295 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
296 [[ -z "$failures" ]] || die "Test failures: $failures"
297 einfo "Tests successfully completed"
298 else
299 einfo "Skipping server tests due to minimal build."
300 fi
301 }